Computers
Add, remove and list Computers in a your organization.
Get Computers
/computer
Get all computers
Requires a bearer access token for this API with the Organization.Computer.Read permission. See Authentication.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/computer" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Add Computer
/computer
Add a new computer
Requires a bearer access token for this API with the Organization.Computer.Write permission. See Authentication.
Request body
The unique identifier for a computer
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X POST "https://connect.cambrionix.com/api/v1/computer" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "detail": { "cpu": { "arch": "string", "cores": 0, "features": [], "name": "string" }, "os": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "connection": { "status": "disconnected", "updated": 0 }, "location": { "id": "string" } }'
Add or Update Computer
/computer
Add a new computer or update an existing one
Requires a bearer access token for this API with the Organization.Computer.Write permission. See Authentication.
Request body
The unique identifier for a computer
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PUT "https://connect.cambrionix.com/api/v1/computer" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "detail": { "cpu": { "arch": "string", "cores": 0, "features": [], "name": "string" }, "os": "string" }, "id": "00000000-0000-0000-0000-000000000000", "name": "string", "connection": { "status": "disconnected", "updated": 0 }, "location": { "id": "string" } }'
Update Computer
/computer
Update a computer by id
Requires a bearer access token for this API with the Organization.Computer.Write permission. See Authentication.
Request body
The unique identifier for a computer
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/computer" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "detail": { "cpu": { "arch": "string", "cores": 0, "features": [], "name": "string" }, "os": "string" }, "id": "00000000-0000-0000-0000-000000000000", "location": { "id": "string" }, "name": "string" }'
Delete Computer
/computer
Delete a computer by id
Requires a bearer access token for this API with the Organization.Computer.Delete permission. See Authentication.
Request body
The unique identifier for a computer
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/computer" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "id": "00000000-0000-0000-0000-000000000000" }'
Get Computers
/computers
List the organization's registered computers: name, OS and CPU, connection status, location, and the local services each one runs (with their service ids).
Requires a bearer access token for this API with the Organization.Computer.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/computers" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Computer
/computers/{computerId}
Get one registered computer (name, OS and CPU, connection status, local services) by id.
Requires a bearer access token for this API with the Organization.Computer.Read permission. See Authentication.
Parameters
The unique identifier for a computer
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/computers/{computerId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Add or Update Computer
/computers/{computerId}
Add a new computer or update an existing one
Requires a bearer access token for this API with the Organization.Computer.Write permission. See Authentication.
Parameters
The unique identifier for a computer
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PUT "https://connect.cambrionix.com/api/v1/computers/{computerId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "detail": { "cpu": { "arch": "string", "cores": 0, "features": [], "name": "string" }, "os": "string" }, "name": "string", "connection": { "status": "disconnected", "updated": 0 }, "location": { "id": "string" } }'
Update Computer
/computers/{computerId}
Update a computer by id
Requires a bearer access token for this API with the Organization.Computer.Write permission. See Authentication.
Parameters
The unique identifier for a computer
Request body
Responses
Response schema with result and metadata
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/v1/computers/{computerId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "detail": { "cpu": { "arch": "string", "cores": 0, "features": [], "name": "string" }, "os": "string" }, "location": { "id": "string" }, "name": "string" }'
Delete Computer
/computers/{computerId}
Delete a computer by id
Requires a bearer access token for this API with the Organization.Computer.Delete permission. See Authentication.
Parameters
The unique identifier for a computer
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X DELETE "https://connect.cambrionix.com/api/v1/computers/{computerId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Organization Computers
/organizations/{organizationId}/computers
Get all computers in the given organization by organization ID
Requires a bearer access token for this API. See Authentication.
Parameters
The Organization id.
Continuation token
Number of records to return
Responses
The Computers in the given organization.
Paging details for the list.
Unauthorized
One of: 401
One of: "Unauthorized"
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/v1/organizations/{organizationId}/computers" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"